> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agents.kolena.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List API Keys

> List all API keys owned by current user

export const limit_0 = 60

<Info>
  **Rate Limit:** This endpoint is limited to **{limit_0.toLocaleString()} requests per minute** per user.
</Info>

<Note>
  Only keys belonging to the authenticating user are returned. Users cannot see keys from other users.
</Note>


## OpenAPI

````yaml openapi.json GET /api/v1/client/api-keys
openapi: 3.1.0
info:
  title: kolena
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/client/api-keys:
    get:
      tags:
        - client
        - api-keys
      summary: Client List Api Keys
      operationId: client_list_api_keys_api_v1_client_api_keys_get
      parameters:
        - name: page_number
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            description: Optionally specify the index of the API keys page to fetch.
            default: 0
            title: Page Number
          description: Optionally specify the index of the API keys page to fetch.
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            maximum: 1000
            minimum: 0
            description: Optionally specify the maximum number of API keys to fetch.
            default: 50
            title: Page Size
          description: Optionally specify the maximum number of API keys to fetch.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientApiKeyListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ClientApiKeyListResponse:
      properties:
        api_keys:
          items:
            $ref: '#/components/schemas/ApiKeyInfo'
          type: array
          title: Api Keys
          description: The fetched page of API keys.
        total_pages:
          type: integer
          title: Total Pages
          description: >-
            The total number of pages of API keys. Use the request arguments
            `page_number` and `page_size` to control which API keys are fetched.
        page_number:
          type: integer
          title: Page Number
          description: The number of the fetched page.
        page_size:
          type: integer
          title: Page Size
          description: The page size, i.e. number of API keys, fetched.
      type: object
      required:
        - api_keys
        - total_pages
        - page_number
        - page_size
      title: ClientApiKeyListResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ApiKeyInfo:
      properties:
        id:
          type: string
          title: Id
          description: The ID of this API key.
        name:
          type: string
          title: Name
          description: The name of this API key.
        created_at:
          type: string
          format: date-time
          title: Created At
          description: >-
            When this API key was created, formatted as an ISO 8601 timestamp
            (e.g. `2025-12-31T10:15:45+00:00`)
        expires_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Expires At
          description: >-
            When this API key expires, formatted as an ISO 8601 timestamp (e.g.
            `2025-12-31T10:15:45+00:00`), or null if it never expires.
        created_by:
          type: string
          title: Created By
          description: The email address of the user who created this API key.
        status:
          $ref: '#/components/schemas/ApiKeyStatus'
          description: The current status of this API key (active or expired).
        api_key_hint:
          type: string
          title: Api Key Hint
          description: Partial API key hint
      type: object
      required:
        - id
        - name
        - created_at
        - expires_at
        - created_by
        - status
        - api_key_hint
      title: ApiKeyInfo
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ApiKeyStatus:
      type: string
      enum:
        - active
        - expired
      title: ApiKeyStatus
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer
      description: >-
        Bearer authentication header of the form `Bearer <token>`. The `<token>`
        represents your API key, which must be acquired from the Kolena
        platform.

````